booster::locale::utf Namespace Reference

Namespace that holds basic operations on UTF encoded sequences. More...

## Classes

struct | utf_traits
struct | utf_traits< CharType, 1 >
struct | utf_traits< CharType, 2 >
struct | utf_traits< CharType, 4 >

## Typedefs

typedef uint32_t | code_point
| The integral type type that can hold a Unicode code point.

## Functions

bool | is_valid_codepoint (code_point v)
| the function checks if v is a valid code point

## Detailed Description

Namespace that holds basic operations on UTF encoded sequences.

All functions defined in this namespace do not require linking with Boost.Locale library